--- old/usr/src/man/man7d/n2rng.7d	Mon Jan 13 01:00:22 2020
+++ new/usr/src/man/man7d/n2rng.7d	Mon Jan 13 01:00:22 2020
@@ -1,17 +1,16 @@
 '\" te
 .\" Copyright (c) 2009 Sun Microsystems, Inc.  All Rights Reserved.
+.\" Copyright (c) 2020 Peter Tribble.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH N2RNG 7D "Apr 15, 2009"
+.TH N2RNG 7D "Jan 12, 2020"
 .SH NAME
 n2rng \- Ultra-SPARC T2 random number generator device driver
 .SH DESCRIPTION
-.sp
-.LP
 The \fBn2rng\fR device driver is a multi-threaded, loadable hardware driver
-supporting hardware assisted random numbers. This support is built into the
-Ultra-SPARC T2 CMT processor.
+supporting hardware assisted random numbers.
+This support is built into the Ultra-SPARC T2 and later processors.
 .sp
 .LP
 The \fBn2rng\fR driver requires the presence of the Solaris Cryptographic
@@ -18,10 +17,8 @@
 Framework to enable applications and kernel clients to access the provided
 services.
 .SH CONFIGURATION
-.sp
-.LP
 You configure the \fBn2rng\fR driver by defining properties in
-\fB/platform/sun4v/kernel/drv/n2cp.conf\fR which override the default settings.
+\fB/platform/sun4v/kernel/drv/n2rng.conf\fR which override the default settings.
 The following property is supported:
 .sp
 .ne 2
@@ -29,17 +26,17 @@
 \fBnostats\fR
 .ad
 .RS 28n
-Disables the generation of statistics. The nostats property may be used to help
-prevent traffic analysis, however, this may inhibit support personnel.
+Disables the generation of statistics.
+The nostats property may be used to help prevent traffic analysis, however,
+this may inhibit support personnel.
 .RE
 
 .SH CRYPTO STATISTICS
+Solaris crypto drivers must implement statistics variables.
+Statistics reported by \fBn2rng\fR may be read using the \fBkstat\fR(1M)
+utility.
+The \fBn2rng\fR driver maintains the following statistics:
 .sp
-.LP
-Solaris crypto drivers must implement statistics variables. Statistics are
-reported by \fBn2rng\fR using  the \fBkstat\fR(7D) and \fBkstat\fR(9S)
-mechanisms. The \fBn2rng\fR driver maintains the following statistics:
-.sp
 .ne 2
 .na
 \fBstatus\fR
@@ -67,13 +64,11 @@
 .RE
 
 .SH KERNEL STATISTICS
+The \fBn2rng\fR driver tallies a set of kernel driver statistics when in the
+Control domain.
+Statistics reported by \fBn2rng\fR may be read using the \fBkstat\fR(1M)
+utility.
 .sp
-.LP
-The \fBn2rng\fR  driver tallies  a set of kernel driver statistics when in the
-Control domain. Statistics are reported by \fBn2rng\fR using  the
-\fBkstat\fR(7D) and \fBkstat\fR(9S) mechanisms. All statistics are maintained
-as unsigned, and all are 64 bits.
-.sp
 .ne 2
 .na
 \fBrng(n)-cell0-bias\fR
@@ -106,7 +101,7 @@
 \fBrng(n)-cell1-entropy\fR
 .ad
 .RS 28n
-Entropy value for noise cell 1 of RNG n.
+Entropy value for noise cell 1 of RNG \fIn\fR.
 .RE
 
 .sp
@@ -121,7 +116,7 @@
 .sp
 .ne 2
 .na
-\fBrng(n)-cell3-entropy\fR
+\fBrng(n)-cell2-entropy\fR
 .ad
 .RS 28n
 Entropy value for noise cell 2 of RNG \fIn\fR.
@@ -133,33 +128,30 @@
 \fBrng(n)-state\fR
 .ad
 .RS 28n
-State of rng number n (online, offline, error,  health check).
+State of rng number n (online, offline, error, health check).
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
-\fB\fB/platform/sun4v/kernel/drv/sparcv9/n2cp\fR\fR
+\fB/platform/sun4v/kernel/drv/sparcv9/n2rng\fR
 .ad
 .sp .6
 .RS 4n
-64-bit ELF kernel driver.
+Device driver (SPARC)
 .RE
 
 .sp
 .ne 2
 .na
-\fB\fB/platform/sun4v/kernel/drv/n2rng.conf\fR\fR
+\fB/platform/sun4v/kernel/drv/n2rng.conf\fR
 .ad
 .sp .6
 .RS 4n
-Configuration file.
+Driver configuration file
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -176,14 +168,4 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
-\fBcryptoadm\fR(1M), \fBkstat\fR(1M), \fBprinters.conf\fR(4),
-\fBattributes\fR(5)
-.sp
-.LP
-\fISolaris Cryptographic Framework - Solaris Software Developer Collection\fR
-.sp
-.LP
-\fISolaris Security for Developer's Guide - Solaris Software Developer
-Collection\fR
+\fBcryptoadm\fR(1M), \fBkstat\fR(1M), \fBattributes\fR(5)
